Campaigns
Pause a campaign run
Pauses an in-progress campaign run and returns the updated run. Use this endpoint to pause a campaign run through the Samva email API.
Pauses an in-progress campaign run and returns the updated run.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^camp_[0-9a-hjkmnp-tv-z]{16,24}$runId*string
Match
^crun_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/campaigns/string/runs/string/pause"{ "success": true, "item": { "id": "string", "campaignId": "string", "status": "scheduled", "scheduledFor": "string", "idempotencyKey": "string", "startedAt": "string", "completedAt": "string", "contentSnapshot": { "channel": "email", "email": { "subject": "string", "html": "string", "text": "string", "attachments": [ { "filename": "string", "content": "string", "mediaId": "string", "contentType": "string", "size": 1 } ], "publicationId": "string", "inputContractId": "string", "templateId": "string", "templateSlug": "string", "templateData": { "property1": "string", "property2": "string" }, "locale": "string", "timeZone": "string", "inReplyToMessageId": "string", "replyTo": [ "string" ], "unsubscribeGroupId": "string", "tracking": { "opens": true, "clicks": true }, "footer": { "enabled": true } }, "conversationId": "string", "metadata": { "property1": "string", "property2": "string" } }, "audienceSnapshot": { "includeTags": [ "string" ], "excludeTags": [ "string" ], "contactIds": [ "string" ], "groupIds": [ "string" ] }, "policySnapshot": { "unsubscribeGroupId": "string", "pageSize": 100 }, "totalRecipients": 0, "dispatchedCount": 0, "failedCount": 0, "skippedCount": 0, "pendingCount": 0, "skippedReasons": [ { "reason": "unsubscribed", "count": 0 } ], "estimatedCompletionAt": "string", "failureReason": "string", "holdReason": "string", "holdDomainId": "string", "holdUntil": "string", "capacityWarning": "string", "lastContactId": "string", "createdBy": "string", "actorEmail": "string", "memberRole": "string", "createdAt": "string", "updatedAt": "string" }}Related documentation
List campaign runs
Returns a campaign's runs, newest first, optionally filtered by status. Pass `nextCursor` back as `cursor` for the next page; it is null on the last page.
Resume a campaign run
Resumes a paused campaign run and returns the updated run. Use this endpoint to resume a campaign run through the Samva email API.